%global gem_name arel

Summary: Arel is a Relational Algebra for Ruby
Name: rubygem-%{gem_name}
Version: 2.0.9
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/rails/%{gem_name}

Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# Fix for test failure. This fix is relevant only for 2.0.x release.
# https://github.com/rails/arel/commit/a1662156b3abb8830f7245bd6e398cf2ca1291d4
Patch0: disable-failing-test.patch
# https://github.com/rails/arel/issues/107
Patch1: arel-2.0.9-add-bigdecimal-dependency.patch
Requires: ruby(abi) = 1.9.1
Requires: ruby(rubygems)
Requires: rubygem(bigdecimal)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(bigdecimal)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Arel is a Relational Algebra for Ruby. It 1) simplifies the generation complex
of SQL queries and it 2) adapts to various RDBMS systems. It is intended to be
a framework framework; that is, you can build your own ORM with it, focusing
on innovative object and collection modeling as opposed to database
compatibility and query generation.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force --rdoc %{SOURCE0}

pushd .%{gem_instdir}
%patch0
popd

pushd .%{gem_dir}
%patch1 -p1
popd

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm %{buildroot}/%{gem_instdir}/.autotest
rm %{buildroot}/%{gem_instdir}/.gemtest

%check
pushd %{buildroot}/%{gem_instdir}/test
ruby -I../lib -I. -e "Dir.glob('./**/test_*').each {|t| require t}"
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/MIT-LICENSE.txt
%doc %{gem_instdir}/README.markdown
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/test
%{gem_instdir}/arel.gemspec
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/Rakefile
%doc %{gem_docdir}


%changelog
* Fri Mar 09 2012 Vít Ondruch <vondruch@redhat.com> - 2.0.9-4
- Fix dependency on BigDecimal.

* Thu Jan 19 2012 Vít Ondruch <vondruch@redhat.com> - 2.0.9-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 24 2011 Vít Ondruch <vondruch@redhat.com> - 2.0.9-1
- Update to Arel 2.0.9
- Removed unnecessary cleanup

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Vít Ondruch <vondruch@redhat.com> - 2.0.7-1
- Updated to Arel 2.0.7 
- Removed some build dependencies

* Fri Jan 07 2011 Vít Ondruch <vondruch@redhat.com> - 2.0.6-3
- Move all documentation into subpackage

* Fri Jan 07 2011 Vít Ondruch <vondruch@redhat.com> - 2.0.6-2
- Clean buildroot

* Fri Jan 7 2011 Vít Ondruch <vondruch@redhat.com> - 2.0.6-1
- Initial package
